<div class="page-layout blank p-24" >

    <div class="row" fxLayout="row" fxLayoutAlign="space-between center" fxLayoutGap="20px">
        <div fxFlex="100" class="mat-elevation-z8">
            <mat-card class="example-card">
                <mat-card-header>
                    <div mat-card-avatar class="example-header-image"></div>
                    <mat-card-title>ِAll today's Appointments</mat-card-title>
                </mat-card-header>


                <mat-card-content>
                    <mat-form-field>
                        <mat-label>Filter</mat-label>
                        <label>
                            <input matInput (keyup)="applyFilter($event)" placeholder="filter">
                        </label>
                    </mat-form-field>

                    <table mat-table [dataSource]="dataSource">


                        <!--                        &lt;!&ndash; id Column &ndash;&gt;-->
                        <!--                        <ng-container matColumnDef="id">-->
                        <!--                            <th mat-header-cell *matHeaderCellDef> id</th>-->
                        <!--                            <td mat-cell *matCellDef="let element"> {{element.id}} </td>-->
                        <!--                        </ng-container>-->

                        <!-- firstName Column -->
                        <ng-container matColumnDef="firstName">
                            <th  mat-header-cell *matHeaderCellDef>firstName</th>
                            <td mat-cell *matCellDef="let element"> {{element.firstName}} </td>
                        </ng-container>

                        <!-- lastName Column -->
                        <ng-container matColumnDef="lastName">
                            <th mat-header-cell *matHeaderCellDef> lastName</th>
                            <td mat-cell *matCellDef="let element"> {{element.lastName}} </td>
                        </ng-container>
                        <!-- 'telephone' Column -->
                        <ng-container matColumnDef="phone">
                            <th mat-header-cell *matHeaderCellDef> phone</th>
                            <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
                        </ng-container>
                        <!--<ng-container matColumnDef="date">
                            <th mat-header-cell *matHeaderCellDef> date</th>
                            <td mat-cell *matCellDef="let element"> {{element.date}} </td>
                        </ng-container>-->

                        <ng-container matColumnDef="time">
                            <th mat-header-cell *matHeaderCellDef> time</th>
                            <td mat-cell *matCellDef="let element"> {{element.time}} </td>
                        </ng-container>
                        <ng-container matColumnDef="status">
                            <th mat-header-cell *matHeaderCellDef> status</th>
                            <td mat-cell *matCellDef="let element">
                            <span [ngStyle]="{'color': element.status=='Pending'? 'red':'green' }">
                                {{element.status}}
                            </span>
                            </td>
                        </ng-container>


                        <tr mat-header-row *matHeaderRowDef="getDisplayedColumns()"></tr>
                        <tr mat-row *matRowDef="let row; columns: getDisplayedColumns();">
                        </tr>
                    </table>

                    <mat-paginator [pageSizeOptions]="[5, 10, 20]"></mat-paginator>

                </mat-card-content>

            </mat-card>
        </div>
    </div>

    <div class="row">
        <visitor-appointment></visitor-appointment>
    </div>
    <div class="row">
        <patient-appointments></patient-appointments>
    </div>
</div>